﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SitioWeb.ServiceReference1;

namespace SitioWeb
{
    public partial class Menu : System.Web.UI.Page
    {
        private ServiceReference1.Service1Client client; //variable per accedir al servei WCF
        private List<String> menu;
        
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {//codi que s'executa la 1ª vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                SitioWeb.ServiceReference1.Menu datosMenu = client.menuWeb();
                this.TextBox_tituloMenu.Text = datosMenu.Nombre + "   Precio del menu: " + datosMenu.Precio.ToString() + " EUR";
                if (datosMenu.Iva == true)
                {
                    this.TextBox_iva.Text = "Iva Incluido";
                }
                else
                {
                    this.TextBox_iva.Text = "Iva No Incluido";
                }

                if (datosMenu.Bebida == true)
                {
                    this.TextBox_bebida.Text = "Bebida Incluida";
                }
                else
                {
                    this.TextBox_bebida.Text = "Bebida no incluida";
                }

                this.TextBox_comensales.Text = "Comensales Mínimos: " + datosMenu.MinComensales.ToString();
                cargarMenu(); 
            }
            else
            {//codi que s'executa cada vegada que es carrega la pàg
                
            }
            
        }


        private void cargarMenu()
        {
            menu = client.imprimirMenu().ToList();
            
            for (int i = 0; i < menu.Count(); i++)
            {//Carreguem el menu        
                TableRow fila = new TableRow();//crear fila de la taula
                TableCell celda = new TableCell(); //crear cel.la de la fila
                celda.Font.Bold = true;
                celda.Text = menu.ElementAt(i).ToString();
                fila.Cells.Add(celda); //carregar la cel.la a la fila
                this.Table_menu.Rows.Add(fila); //carregar la fila a la taula

            }
        }
    }
}