﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SitioWeb.ServiceReference1;

namespace SitioWeb.Account
{
    public partial class ChangePassword : System.Web.UI.Page
    {
        private ServiceReference1.Service1Client client; //variable per accedir al servei WCF
        private Cliente usuario;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {//codi que s'executa la 1ª vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];

            }
            else
            {//codi que s'executa cada vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];
            }
            

        }

        protected void CancelPushButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/MiCuenta.aspx");
        }

        protected void ChangePasswordPushButton_Click(object sender, EventArgs e)
        {
            if (usuario != null)
            {
                if(CurrentPassword.Text.Equals(usuario.Password)){
                //cambiem la contrassenya
                client.ModificarCliente(usuario.Id, usuario.Nombre, usuario.Mail, NewPassword.Text, usuario.Telefono, usuario.SusMenu.Value, usuario.SusOfertas.Value);
                //actualitzem la variable de sessió
                Cliente clienteLog = client.BuscarCliente(usuario.Mail, NewPassword.Text);
                Session["Usuario"] = clienteLog;
                usuario = (Cliente)Session["Usuario"];

                Response.Redirect("~/Account/ChangePasswordSuccess.aspx");
                }
                else {FailureText.Text = "La antigua contraseña no es correcta";}

            }
        }
        
    }
}