﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using SitioWeb.ServiceReference1;

namespace SitioWeb.Account
{
    public partial class Login : System.Web.UI.Page
    {
        private ServiceReference1.Service1Client client; //variable per accedir al servei WCF
        Cliente usuario;
        private String url;


        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {//codi que s'executa la 1ª vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];
                url = (String)Session["url"];

            }
            else
            {//codi que s'executa cada vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];
                url = (String)Session["url"];
               
            }
            
        }

        protected void Page_UnLoad(object sender, EventArgs e)
        {
            Session["Usuario"] = usuario;
        }

        protected void LoginButton_Click(object sender, EventArgs e)
        {
            FailureText.Text = "";
            //validem el nom d'usuari  contrassenya
            if (client.validarUsername(UserName.Text, Password.Text) == true)                
            {
                //usuari validat
                Cliente clienteLog = client.BuscarCliente(UserName.Text, Password.Text);
                
                Session["Usuario"] = clienteLog;
                usuario = (Cliente)Session["Usuario"];
                if (url != null && url == "~/Reservas.aspx")
                {//si venim de reserves hem de tornar a reserves
                    Response.Redirect("~/Reservas.aspx");
                }
                else
                {
                    FailureText.Text = "Bienvenido";
                    Response.Redirect("~/MiCuenta.aspx");//actualitzem la pàgina
                }

                
            }
            else
            {
                //usuari no validat
                FailureText.Text = "Nombre de usuario o Pasword Incorrecto";
            }
        }
    }
}