﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SitioWeb.ServiceReference1;

namespace SitioWeb
{
    public partial class Master : System.Web.UI.MasterPage
    {
        protected Cliente usuario;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {//codi que s'executa la 1ª vegada que es carrega la pàg
                usuario = (Cliente)Session["Usuario"];
            }
            else
            {//codi que s'executa cada vegada que es carrega la pàg
                usuario = (Cliente)Session["Usuario"];
            }

            if (usuario != null)
            {
                vistaUsuarioLogueado();
                
            }
            else
            {
                vistaUsuarioAnonimo();
            }

        }

        protected void vistaUsuarioLogueado()
        {
            identificat.Text = "Usuario: "+usuario.Nombre+ "  ";
            HeadLoginStatus.Visible = false;
            HeadRegistro.Visible = false;
            HeadLogout.Visible = true;
            HeadAccount.Visible = true;
        }
        protected void vistaUsuarioAnonimo()
        {
            identificat.Text = "";
            HeadLoginStatus.Visible = true;
            HeadRegistro.Visible = true;
            HeadLogout.Visible = false;
            HeadAccount.Visible = false;
        }

        
    }
}