﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using SitioWeb.ServiceReference1;

namespace SitioWeb.Account
{
    public partial class MiCuenta : System.Web.UI.Page
    {
        private ServiceReference1.Service1Client client; //variable per accedir al servei WCF
        private Cliente usuario;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {//codi que s'executa la 1ª vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];

            }
            else
            {//codi que s'executa cada vegada que es carrega la pàg
                client = new ServiceReference1.Service1Client();//nova instancia del servei WCF
                usuario = (Cliente)Session["Usuario"];
            }

            if (usuario != null)
            {
                
                UserName.Text = usuario.Nombre;
                Telefono.Text = usuario.Telefono;
                Email.Text = usuario.Mail;
                CheckBox_menu.Checked = usuario.SusMenu.Value;
                CheckBox_noticias.Checked = usuario.SusOfertas.Value;
                
            }
            
            
        }

        

      
        
    }
}